package de.ivu.elect.interfaces.core.konfiguration;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

/**
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class WahlKonfiguration implements Serializable {

  @XmlElementWrapper(name = "Wahlarten", nillable = false, required = true)
  @XmlElement(required = false, name = "wahlart", nillable = true)
  private List<Wahlart> wahlarten = new ArrayList<>();

  @XmlElementWrapper(name = "Gebietsarten", nillable = false, required = true)
  @XmlElement(required = false, name = "gebietsart", nillable = true)
  private List<Gebietsart> gebietsarten = new ArrayList<>();

  @XmlElementWrapper(name = "Gebietsarteigenschaften", nillable = false, required = true)
  @XmlElement(required = false, name = "gebietsarteigenschaft", nillable = true)
  private List<Gebietsarteigenschaft> gebietsarteigenschaften = new ArrayList<>();

  public List<Gebietsarteigenschaft> getGebietsarteigenschaften() {
    return gebietsarteigenschaften;
  }

  public void setGebietsarteigenschaften(List<Gebietsarteigenschaft> gebietsarteigenschaften) {
    this.gebietsarteigenschaften = gebietsarteigenschaften;
  }

  public List<Gebietsart> getGebietsarten() {
    return gebietsarten;
  }

  public void setGebietsarten(List<Gebietsart> gebietsarten) {
    this.gebietsarten = gebietsarten;
  }

  public List<Wahlart> getWahlarten() {
    return wahlarten;
  }

  public void setWahlarten(List<Wahlart> wahlarten) {
    this.wahlarten = wahlarten;
  }
}
